## org.eclipse.uml2.uml
Interface GeneralizationSet

All Superinterfaces:
  Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, NamedElement, org.eclipse.emf.common.notify.Notifier, PackageableElement, ParameterableElement

    public interface GeneralizationSet

extends PackageableElement

A representation of the model object 'Generalization Set'. A generalization set is a packageable element whose instances define collections of subsets of generalization relationships.

The following features are supported:

- `Is Covering`
- `Is Disjoint`
- `Powertype`
- `Generalization`

See Also:
  `UMLPackage.getGeneralizationSet()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`Generalization` `getGeneralization(Classifier general)` Retrieves the first `Generalization` with the specified 'General' from the 'Generalization' reference list
`org.eclipse.emf.common.util.EList<Generalization>` `getGeneralizations()` Returns the value of the 'Generalization' reference list.
`Classifier` `getPowertype()` Returns the value of the 'Powertype' reference.
`boolean` `isCovering()` Returns the value of the 'Is Covering' attribute.
`boolean` `isDisjoint()` Returns the value of the 'Is Disjoint' attribute.
`void` `setIsCovering(boolean value)` Sets the value of the '`Is Covering`' attribute
`void` `setIsDisjoint(boolean value)` Sets the value of the '`Is Disjoint`' attribute
`void` `setPowertype(Classifier value)` Sets the value of the '`Powertype`' reference
`boolean` `validateGeneralizationSameClassifier(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Every Generalization associated with a particular GeneralizationSet must have the same general Classifier.
`boolean` `validateMapsToGeneralizationSet(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The Classifier that maps to a GeneralizationSet may neither be a specific nor a general Classifier in any of the Generalization relationships defined for that GeneralizationSet.

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.ParameterableElement
`getOwningTemplateParameter, getTemplateParameter, isCompatibleWith, isTemplateParameter, setOwningTemplateParameter, setTemplateParameter`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isCovering

    boolean isCovering()

  Returns the value of the 'Is Covering' attribute. The default value is `"false"`. Indicates (via the associated Generalizations) whether or not the set of specific Classifiers are covering for a particular general classifier. When isCovering is true, every instance of a particular general Classifier is also an instance of at least one of its specific Classifiers for the GeneralizationSet. When isCovering is false, there are one or more instances of the particular general Classifier that are not instances of at least one of its specific Classifiers defined for the GeneralizationSet.

  Returns:
    the value of the 'Is Covering' attribute.
  See Also:
    `setIsCovering(boolean)`, `UMLPackage.getGeneralizationSet_IsCovering()`

### setIsCovering

    void setIsCovering(boolean value)

  Sets the value of the '`Is Covering`' attribute.

  Parameters:
    `value` - the new value of the 'Is Covering' attribute.
  See Also:
    `isCovering()`

### isDisjoint

    boolean isDisjoint()

  Returns the value of the 'Is Disjoint' attribute. The default value is `"false"`. Indicates whether or not the set of specific Classifiers in a Generalization relationship have instance in common. If isDisjoint is true, the specific Classifiers for a particular GeneralizationSet have no members in common; that is, their intersection is empty. If isDisjoint is false, the specific Classifiers in a particular GeneralizationSet have one or more members in common; that is, their intersection is not empty. For example, Person could have two Generalization relationships, each with the different specific Classifier: Manager or Staff. This would be disjoint because every instance of Person must either be a Manager or Staff. In contrast, Person could have two Generalization relationships involving two specific (and non-covering) Classifiers: Sales Person and Manager. This GeneralizationSet would not be disjoint because there are instances of Person which can be a Sales Person and a Manager.

  Returns:
    the value of the 'Is Disjoint' attribute.
  See Also:
    `setIsDisjoint(boolean)`, `UMLPackage.getGeneralizationSet_IsDisjoint()`

### setIsDisjoint

    void setIsDisjoint(boolean value)

  Sets the value of the '`Is Disjoint`' attribute.

  Parameters:
    `value` - the new value of the 'Is Disjoint' attribute.
  See Also:
    `isDisjoint()`

### getPowertype

    Classifier getPowertype()

  Returns the value of the 'Powertype' reference. It is bidirectional and its opposite is '`Powertype Extent`'. Designates the Classifier that is defined as the power type for the associated GeneralizationSet.

  Returns:
    the value of the 'Powertype' reference.
  See Also:
    `setPowertype(Classifier)`, `UMLPackage.getGeneralizationSet_Powertype()`, `Classifier.getPowertypeExtents()`

### setPowertype

    void setPowertype(Classifier value)

  Sets the value of the '`Powertype`' reference.

  Parameters:
    `value` - the new value of the 'Powertype' reference.
  See Also:
    `getPowertype()`

### getGeneralizations

    org.eclipse.emf.common.util.EList<Generalization> getGeneralizations()

  Returns the value of the 'Generalization' reference list. The list contents are of type `Generalization`. It is bidirectional and its opposite is '`Generalization Set`'. Designates the instances of Generalization which are members of a given GeneralizationSet.

  Returns:
    the value of the 'Generalization' reference list.
  See Also:
    `UMLPackage.getGeneralizationSet_Generalization()`, `Generalization.getGeneralizationSets()`

### getGeneralization

    Generalization getGeneralization(Classifier general)

  Retrieves the first `Generalization` with the specified 'General' from the 'Generalization' reference list.

  Parameters:
    `general` - The 'General' of the `Generalization` to retrieve, or `null`.
  Returns:
    The first `Generalization` with the specified 'General', or `null`.
  See Also:
    `getGeneralizations()`

### validateGeneralizationSameClassifier

    boolean validateGeneralizationSameClassifier(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                 java.util.Map<java.lang.Object,java.lang.Object> context)

  Every Generalization associated with a particular GeneralizationSet must have the same general Classifier. generalization->collect(g | g.general)->asSet()->size() <= 1

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateMapsToGeneralizationSet

    boolean validateMapsToGeneralizationSet(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

  The Classifier that maps to a GeneralizationSet may neither be a specific nor a general Classifier in any of the Generalization relationships defined for that GeneralizationSet. In other words, a power type may not be an instance of itself nor may its instances be its subclasses. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.